@charset "utf-8";

.content-container-wrapper {
  container-type: inline-size;
  container-name: content-container-wrapper;
}

.content-container * {box-sizing: border-box;}

:root .alumitruss-container {
  /* カラートークン */
  --color-base: #F1F3F5;
  --color-black: #000;
  --color-white: #fff;
  --color-accent: #E47E15;
  --color-accent-hover: #C76500;
  --color-primary: #304B66;
  --color-secondary: #5C7188;
  --color-tertiary: #E6EEF7;
}

:root .content-container {
  --color-black: #0e0e0e;
  --color-gray: #eee;
  --color-white: #fff;
  --color-lightgray: #fcfcfc;
  --color-main: #3c3269;
  --color-main-light: #848096;
  --color-primary: #304B66;
  --color-accent: #cc9011;
}


/*-- common --*/
.content-container {
  max-width: 1420px;
  margin-inline: auto;
  padding-bottom: 3rem;
  background-color: var(--color-lightgray);
  color: var(--color-black);
  font-size: 16px;
  line-height: 1.4;
  letter-spacing: 0.05em;
  section {
    padding-block: 1em;
    max-width: 1300px;
    margin-inline: auto;
    padding-inline: 1.5em;
    @media (max-width: 801px){
        padding: 2em 1em;
    }
  }
  figure {
    text-align: center;
    overflow: hidden;
  }
  img {
    max-width: 100%;
    height: auto;
    vertical-align: bottom;
  }
  a {
    color: inherit;
    text-decoration: none;
    &:hover {
      opacity: 0.7;
    }
  }
  span {
    color: inherit;
    font-weight: inherit;
  }
}

@media (max-width: 820px) {
  .content-container{ font-size: 14px;}
}
@media (max-width: 350px) {
  .content-container{ font-size: 13px;}
}

/*========= ヘッダー =========*/
.content-container header {
  background: black url(../img/top.jpg?azｚ) 313% 54% / 96% no-repeat;
  color: var(--color-white);
  padding: 2em;
  min-height: 260px;
  display: flex;
  flex-direction: column;
  gap: 1em;
  justify-content: space-between;

  h2 {
    font-size: 42px;
    font-family: Anton, Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    line-height: 1;
    margin-bottom: 0.5em;
  }
  h2 + p {
    font-size: 20px;
  }

  @media (max-width:768px) {
    background-color: var(--color-black);padding: 1.5em;min-height: 240px;
  }
  .catch-copy {
    text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.9);
    line-height: 1.4;
  }
  .catch-point {
    width: 50%;
    display: grid;
    grid-template-columns: repeat(2, 200px);
    gap: 1em;
    @media (max-width:400px) {
      width: 100%;
      margin-top: 0em;
      grid-template-columns: auto auto;
    }
    li {
      display: flex;
      gap: .5em;
      align-items: center;
      p {
        text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.9);
        word-break: auto-phrase;
      }
      img {
        background: var(--color-main);
        border-radius: 50%;
        aspect-ratio: 1 / 1;
        padding: .5em;
        width: 50px;
      }
    }
  }
}

/*========= 用途別で選ぶ =========*/
.select-type {
  .type-wrap {
    display: flex;
    gap: 1em;
    justify-content: center;
    @media (max-width:768px) {
      justify-content: flex-start;
    }
  }
  & p {
    text-align: center;
  }
  .type-box {
    width: calc((100% - 3em) / 3);
    background: var(--color-white);
    border-radius: 7px;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.2);
    overflow: hidden;

    a {
      display: flex;
      flex-direction: column;
      align-items: center;
    }
  }
  .select-lead {
    display: block;
    font-size: .7em;
    margin-top: .5em;
    word-break: auto-phrase;
    @media (max-width: 1200px) {
      font-size: .6em;
    }
  }
}

.select-type {
  .type-box {
    color: var(--color-white);
    text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.7);
    background: url(../img/standard_truss.jpg) no-repeat center center / cover;
    &:nth-child(2) {
      background: url(../img/compact_truss.jpg) no-repeat center center / cover;
    }
    &:nth-child(3) {
      background: url(../img/mini_truss.jpg) no-repeat center center / cover;
    }
    a {
      aspect-ratio: 5 / 4;
      justify-content: end;
      padding-bottom: 1em;
      position: relative;

      &:before {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        background: linear-gradient(0deg, #040404 0%, #0000008f 25%, transparent 60%);
      }

      &:hover {
        opacity: 1;
        background: rgba(253, 253, 253, 0.5);
      }
      div {
        position: relative;
      }
    }
    figure {
      width: 25%;
      max-width: 60px;
      margin-bottom: 1em;
    }
  }
  .type-ttl {
    text-align: center;
    font-weight: bold;
    font-size: 1.3em;
    @media (max-width: 1024px) {
      font-size: 1.1em;
    }
    > span {
      font-weight: normal;
    }
  }
}

/*========= 売上ランキング =========*/
.ranking {
  .ranking-wrap {
    counter-reset: ranking;
    display: flex;
    gap: 1em;
    max-width: 720px;
    width: 100%;
    margin: 2em auto 3em;
    @media (max-width: 1024px) {
      gap: 0;margin: 0;
    }
    > div {
      width: 100%;
      @media (max-width: 1024px) {
        width: auto;
      }
    }
    .ranking-list {
      display: flex;
      flex-direction: column;
      height: 100%;
      width: 100%;
      gap: 6px;
      @media (max-width: 1024px) {
        flex-direction: row;
        gap: 1em;
        padding-right: 1em;
        padding-top: .5em;
      }
      li {
        flex: 1;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0.8em 1.5em;
        margin-bottom: 1em;
        background: var(--color-white);
        border-radius: 5px;
        box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.2);
        gap: 20px;

        @media (max-width: 1024px) {
          flex-wrap: wrap;
          row-gap: 1em;
          margin-bottom: 0;
          max-width: calc(200px + 3em);
          align-items: flex-start;
          justify-content: flex-start;
        }
        &:last-child {
          margin-bottom: 0;
        }
        &::before { /*順位の表示*/
          display: inline-block;
          min-width: 1.3em;
          padding: .2em;
          background: var(--color-gray);
          border-radius: 2px;
          color: var(--color-white);
          font-weight: bold;
          font-size: 1.3em;
          line-height: 1.3;
          text-align: center;
          content: counter(ranking);
          counter-increment: ranking;
        }
        > div {
          flex: 1;
        }
        .product-name {
          font-size: 1.2em;
          font-weight: bold;
          color: var(--color-main);
          margin-bottom: 0.5em;
          @media (max-width: 801px){
            font-size:1.1em;
          }
        }
      }
    }
    > div:first-child {
      li::before {
        background: var(--color-main);
      }
      li:first-child::before {
        background: var(--color-accent);
      }
      figure {
        width: 200px;
      }
    }
    > div:last-child {
      li {
        font-size: .8em;
      }
      li a {
        display: flex;
        width: 100%;
        gap: 20px;
        align-items: center;
        font-size: 16px;
        @media (max-width: 1024px){
          flex-direction:column;
        }
      }
      figure {
        width: 170px;
      }
      @media (max-width: 1024px) {
        li {
          font-size: 1em;
        }
        figure {
          width: 200px;
        }
      }
    }
  }
}

.ranking-more a {
  width: 300px;
  text-align: center;
  margin: 1em auto 2em;
  display: block;
  background: var(--color-main);
  color: white;
  padding: 15px;
}

/*-- 1024px以下で横スクロール --*/
@media (max-width: 1024px) {
  .ranking-container {
    overflow-x: auto;
    display: flex;
    flex-direction: column;
    > div {
      padding: .5em;
      padding-bottom: 1.5em;
    }
  }
}
@media (max-width: 768px) {
  .type-container {
    overflow-x: auto;
    display: flex;
    flex-direction: column;
    > * {
      padding: .5em;
      padding-bottom: 1.5em;
      width: 900px;
    }
  }
}

/* 組立方法について -------------------- */
.sec-assembly .assembly-list{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
  max-width: 850px;
  margin-inline: auto;
  margin-block: 1.5rem;
  & > li{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 1rem;
    border: 1px solid var(--color-primary);
  }
  @container alumitruss-container-wrapper (max-width: 600px) {
    gap: 1rem;
    margin-block: 1rem;
  }
}

.sec-assembly .desc{
  margin-bottom: .5rem;
}

.sec-assembly .watch-video-box{
  max-width: 850px;
  margin-inline: auto;
  padding: 1rem;
  background-color: var(--color-tertiary);
}

.sec-assembly .sub-heading{
  width: fit-content;
  margin-inline: auto;
  margin-bottom: .5rem;
  font-size: 125%;
}

.sec-assembly .ui-movie-block{
  max-width: 550px;
  margin: auto;
}

.sec-assembly .ui-movie-block iframe {
  aspect-ratio: 16/9;
  width: 100%;
}

/* 実際の使用例  -------------------- */
.sec-usage .usecase-dl{
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 1.5rem .5rem;
  margin-block: 2rem;
  & dt > span{
    display: block;
    width: 100%;
    padding: .25rem .5rem;
    background-color: var(--color-gray);
    text-align: center;
  }
  & > dd{
    display: grid;
    place-items: center start;
  }
  @container setruss-container-wrapper (max-width: 600px) {
    grid-template-columns: 100%;
    gap: .5rem;
    & dd + dt{
      margin-top: 1.5rem;
    }
  }
}

.sec-usage .image-container{
  display: flex;
  gap: .5rem;
  max-height: 400px;
  & img{
    width: auto;
    height: 100%;
  }
}

.sec-usage .truss-list{
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem 1rem;
}

.sec-usage .truss-list li a {
  background: var(--color-main);
  color: white;
  padding: 6px;
}

/* よくある質問（FAQ） -------------------- */
.alumitruss-container .el-heading {
  margin-bottom: 1.5rem;
  padding-inline: 1.3rem;
  padding-block: 0.55rem;
  background-color: var(--color-primary);
  color: var(--color-white);
  font-size: 155%;
}

.sec-faq .faq-list{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: .75rem 1rem;
  margin-inline: auto;
  line-height: 1.5;

  @container alumitruss-container-wrapper (max-width: 768px) {
    grid-template-columns: 100%;
    max-width: 600px;
  }
}

.sec-faq details{
  & summary{
    padding-block: .5rem;
    padding-inline: 1rem;
    background-color: var(--color-tertiary);
    font-size: 105%;
    list-style: none;
    &:hover {
      cursor: pointer;
    }
    &::-webkit-details-marker {
      display: none;
    }
    &::before{
      content: "Q. ";
      font-weight: bold;
    }
  }
  & .content{
    padding-block: .5rem;
    padding-inline: 1rem;
    &::before{
      content: "A. ";
      font-weight: bold;
    }
  }
}


@media (max-width: 800px){
  .sec-faq .faq-list {
    grid-template-columns: repeat(1, 1fr);
  }

  .sec-assembly .assembly-list {
    grid-template-columns: repeat(1, 1fr);
  }

  .sec-usage .usecase-dl {
    grid-template-columns: 1fr;
    margin-bottom: 0;
  }

  .ranking-wrap ul.ranking-list.ranking-l li {
    width: 100%;
    max-width: none;
    gap: 0;
  }
  .content-container header h2 {
    font-size:28px;
    font-weight:bold;
  }

  .content-container header h2 + p {
    font-size: 15px;
  }

  .alumitruss-container .el-heading {
    font-size: 140%;
  }

  .ranking-more a {
    margin: 1em auto 0em;
  }

  .ranking-wrap div ul li a {
    flex-direction: column;
  }
}
